SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000911SiT!sites & contactspublic2009-08-27 11:032010-03-01 09:50
Reportersancho78rus 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.50 
Target VersionFixed in Version3.51 
Summary0000911: Bad symbols in contact's notes
Descriptionlike ?????????? in russian
TagsNo tags attached.
Attached Filespng file icon notes_chars_russian_japanese.png [^] (39,644 bytes) 2009-08-27 13:38

- Relationships

-  Notes
User avatar (0001841)
ivan (administrator)
2009-08-27 11:51

Thanks for the bug report, I can confirm this with 3.50rc1
User avatar (0001842)
ivan (administrator)
2009-08-27 11:58

The same problem exists for site notes
User avatar (0001851)
ivan (administrator)
2009-08-27 13:36

Hmm having said I can reproduce this, I can get strange results if I copy paste the test data at http://sitracker.org/wiki/Development/Test_Data [^]

But it works just fine with the Russian and Japanese Lorem Ipsum text on that page.

Can you try pasting the Russian text from that wiki page into a notes field to see what happens?
(0001852)
sancho78rus (reporter)
2009-08-27 13:42

after changin cp to utf8 its ok.
but the problem with first letter search is still going on.
User avatar (0001853)
ivan (administrator)
2009-08-27 13:51

Your existing data will now likely have the wrong character set. Try adding a new contact and trying the first letter search to find that contact.
(0001854)
sancho78rus (reporter)
2009-08-27 14:00

no. with new clients and contacts - the same problem.

my date now must be in utf8. how i change cp:
1) export all base in txt file.
2) replace all cp1251 on utf8 in this file
3) delete sit db
4) create new sit db with utf8
5) make sql query from txt file.
all field now utf8 general_ci
User avatar (0001855)
ivan (administrator)
2009-08-27 14:06

Hmm... I really can't reproduce this, is it possible that you could export, zip up and send me your database by email? (ivan [at] sitracker {dot} org) I will of course treat all information as confidential and delete it afterwards.
(0001857)
sancho78rus (reporter)
2009-08-27 14:14

sent
User avatar (0001859)
ivan (administrator)
2009-08-27 14:21

Thanks, I'm having difficulty importing the database into mysql without the encoding being wrong though. Do you know what encoding that text file has? When I look with phpmyadmin at what I've imported I just see ?????????? instead of russian text. :-(
(0001860)
sancho78rus (reporter)
2009-08-27 14:25

hmmm. i just create this file in windows and ctrl-v data from phpmyadmin. there is no cp select when export
User avatar (0001861)
ivan (administrator)
2009-08-27 14:32

ah I've figured I think, the charset is 8859-1. give me a few minutes to try this and I'll let you know what happens.
User avatar (0001862)
ivan (administrator)
2009-08-27 14:40

I was wrong it wasn't 8859-1, I can't actually figure out how to decode that text. :( Can you try again to export.

* click on the database name in phpMyAdmin
* click the 'export' tab
* check the box 'save as file'
* select zip, gzip or bzip compression
* click go

And then email that file and I'll see if I can get anywhere with that. Thanks.
(0001864)
sancho78rus (reporter)
2009-08-27 14:46

done
User avatar (0001865)
ivan (administrator)
2009-08-27 14:55

ok, finally i reproduce it! :-) I'll now try and find out what is causing it. Thanks for your patience.
User avatar (0001871)
ivan (administrator)
2009-08-27 17:45

Just to confirm? The original issue here, the bad symbols in the contacts notes... that is resolved now?
(0001973)
sancho78rus (reporter)
2009-09-17 13:47

its ok now
(0002553)
sancho78rus (reporter)
2010-03-01 09:01

you can close it now
User avatar (0002556)
ivan (administrator)
2010-03-01 09:50

Fixed in or prior to 3.51. Thanks sancho78rus

- Issue History
Date Modified Username Field Change
2009-08-27 11:03 sancho78rus New Issue
2009-08-27 11:51 ivan Note Added: 0001841
2009-08-27 11:51 ivan Status new => confirmed
2009-08-27 11:51 ivan Product Version => 3.50
2009-08-27 11:52 ivan Severity major => minor
2009-08-27 11:58 ivan Note Added: 0001842
2009-08-27 13:36 ivan Note Added: 0001851
2009-08-27 13:36 ivan Status confirmed => feedback
2009-08-27 13:38 ivan File Added: notes_chars_russian_japanese.png
2009-08-27 13:42 sancho78rus Note Added: 0001852
2009-08-27 13:51 ivan Note Added: 0001853
2009-08-27 14:00 sancho78rus Note Added: 0001854
2009-08-27 14:06 ivan Note Added: 0001855
2009-08-27 14:14 sancho78rus Note Added: 0001857
2009-08-27 14:21 ivan Note Added: 0001859
2009-08-27 14:25 sancho78rus Note Added: 0001860
2009-08-27 14:32 ivan Note Added: 0001861
2009-08-27 14:40 ivan Note Added: 0001862
2009-08-27 14:46 sancho78rus Note Added: 0001864
2009-08-27 14:55 ivan Note Added: 0001865
2009-08-27 17:45 ivan Note Added: 0001871
2009-09-17 13:47 sancho78rus Note Added: 0001973
2010-03-01 09:01 sancho78rus Note Added: 0002553
2010-03-01 09:50 ivan Note Added: 0002556
2010-03-01 09:50 ivan Status feedback => closed
2010-03-01 09:50 ivan Resolution open => fixed
2010-03-01 09:50 ivan Fixed in Version => 3.51


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker